/**
 * <copyright>
 * </copyright>
 *
 * $Id: ReversePivotAttributeAssignmentValidator.java,v 1.1 2008-04-01 09:35:21 vmahe Exp $
 */
package orgomg.cwm.analysis.datamining.miningcore.miningdata.validation;

import org.eclipse.emf.common.util.EList;

import orgomg.cwm.analysis.datamining.miningcore.miningdata.AttributeSelectionFunction;
import orgomg.cwm.analysis.datamining.miningcore.miningdata.ValueSelectionFunction;

import orgomg.cwm.objectmodel.core.Attribute;

/**
 * A sample validator interface for {@link orgomg.cwm.analysis.datamining.miningcore.miningdata.ReversePivotAttributeAssignment}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface ReversePivotAttributeAssignmentValidator {
	boolean validate();

	boolean validateAttributeSelectionFunction(AttributeSelectionFunction value);
	boolean validateValueSelectionFunction(ValueSelectionFunction value);
	boolean validateSelectorAttribute(EList<Attribute> value);
}
